# mba-cli transport

> Read transports

Read transports

CLI version: `0.3.2`

## Commands

### mba-cli transport get

Get one transport by id

Get single transport resource

Get a single transport resource

Get one transport by id

Flags:

- `--id` (string): Transport record id

API endpoints:

- GET /transports/{id} — https://mybusinessapp.co.za/developers/api/transport#tag/Transport/getSingleTransport

### mba-cli transport get-by-mode

Get one transport by transport mode

Get single transport resource by its unique name

Get a single transport resource by its unique name

Get one transport by transport mode

Flags:

- `--include-parent` (bool): Query parameter includeParent (from the API spec)
- `--mode` (string): Transport mode
- `--team-id` (string): Query parameter teamId (from the API spec)

API endpoints:

- GET /transports/transportmode/{transportMode} — https://mybusinessapp.co.za/developers/api/transport#tag/Transport/getSingleTransportByTransportMode

### mba-cli transport ls

List transports

Get all transport resources

Get all the transport resources

List transports

Flags:

- `--all` (bool, default `false`): Return all rows (paginate=false)
- `--include-parent` (bool): Query parameter includeParent (from the API spec)
- `--limit` (int, default `20`): Query parameter limit (from the API spec)
- `--page` (int, default `1`): Query parameter page (from the API spec)
- `--paginate` (bool, default `true`): Query parameter paginate (from the API spec)
- `--team-id` (string): Query parameter teamId (from the API spec)

API endpoints:

- GET /transports — https://mybusinessapp.co.za/developers/api/transport#tag/Transport/getAllTransports

---

[Rendered page](https://mybusinessapp.co.za/developers/cli/reference/transport)

© MyBusinessApp (Pty) Ltd. Proprietary documentation — do not republish.
